Package: groovy.util

## [Java] Interface RelationNameResolver

- Strategy for resolving a relationship property name.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `resolveChildRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of child -> parent
    `` | `String` | `resolveParentRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of parent -> child

- - ### Method Detail

    - #### public String resolveChildRelationName(String parentName, Object parent, String childName, Object child)

      Returns the mapping name of child -> parent

      Parameters:
        `parentName` - the name of the parent node
        `parent` - the parent node
        `childName` - the name of the child node
        `child` - the child node

    - #### public String resolveParentRelationName(String parentName, Object parent, String childName, Object child)

      Returns the mapping name of parent -> child

      Parameters:
        `parentName` - the name of the parent node
        `parent` - the parent node
        `childName` - the name of the child node
        `child` - the child node